package logger

import (
	"go.uber.org/zap"
)

func NewLoggerProduction() (*zap.SugaredLogger, error) {
	logger, err := zap.NewProduction()
	if err != nil {
		return nil, err
	}

	return logger.Sugar(), nil
}

func NewLoggerDevelopment() (*zap.SugaredLogger, error) {
	logger, err := zap.NewDevelopment()
	if err != nil {
		return nil, err
	}

	return logger.Sugar(), nil
}
